org.apache.ode.bpel.pmapi

## Interface TActivitytExtInfoList

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TActivitytExtInfoListImpl

      public interface TActivitytExtInfoList
      extends org.apache.xmlbeans.XmlObject

  An XML tActivitytExtInfoList(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TActivitytExtInfoList.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TActivityExtInfo` | `addNewActivityExtInfo()` Appends and returns a new empty value (as xml) as the last "activity-ext-info" element
    `TActivityExtInfo[]` | `getActivityExtInfoArray()` Gets array of all "activity-ext-info" elements
    `TActivityExtInfo` | `getActivityExtInfoArray(int i)` Gets ith "activity-ext-info" element
    `TActivityExtInfo` | `insertNewActivityExtInfo(int i)` Inserts and returns a new empty value (as xml) as the ith "activity-ext-info" element
    `void` | `removeActivityExtInfo(int i)` Removes the ith "activity-ext-info" element
    `void` | `setActivityExtInfoArray(int i, TActivityExtInfo activityExtInfo)` Sets ith "activity-ext-info" element
    `void` | `setActivityExtInfoArray(TActivityExtInfo[] activityExtInfoArray)` Sets array of all "activity-ext-info" element
    `int` | `sizeOfActivityExtInfoArray()` Returns number of "activity-ext-info" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getActivityExtInfoArray

          TActivityExtInfo[] getActivityExtInfoArray()

      Gets array of all "activity-ext-info" elements

    - #### getActivityExtInfoArray

          TActivityExtInfo getActivityExtInfoArray(int i)

      Gets ith "activity-ext-info" element

    - #### sizeOfActivityExtInfoArray

          int sizeOfActivityExtInfoArray()

      Returns number of "activity-ext-info" element

    - #### setActivityExtInfoArray

          void setActivityExtInfoArray(TActivityExtInfo[] activityExtInfoArray)

      Sets array of all "activity-ext-info" element

    - #### setActivityExtInfoArray

          void setActivityExtInfoArray(int i,
                                     TActivityExtInfo activityExtInfo)

      Sets ith "activity-ext-info" element

    - #### insertNewActivityExtInfo

          TActivityExtInfo insertNewActivityExtInfo(int i)

      Inserts and returns a new empty value (as xml) as the ith "activity-ext-info" element

    - #### addNewActivityExtInfo

          TActivityExtInfo addNewActivityExtInfo()

      Appends and returns a new empty value (as xml) as the last "activity-ext-info" element

    - #### removeActivityExtInfo

          void removeActivityExtInfo(int i)

      Removes the ith "activity-ext-info" element